/* Blinker
   Copyright 2011-2019 Stefan Schuermans <stefan@blinkenarea.org>
   Copyleft GNU public license - http://www.gnu.org/copyleft/gpl.html
   a blinkenarea.org project */

#include <map>

#include "Lock.h"
#include "LockMgr.h"

namespace Blinker {

/// constructor
LockMgr::LockMgr()
{
}

/// destructor
LockMgr::~LockMgr()
{
}

/**
 * @brief get a lock object
 * @param[in] name name of lock
 */
Lock & LockMgr::getLock(std::string const &name)
{
  return m_lockMap[name];
}

} // namespace Blinker

